Summary: IPsec-Tools package use the IPsec functionality in the linux-2.5+ kernels.
Name: ipsec-tools
Version: 0.5
Release: alt1
Packager: Maxim Tyurin <mrkooll@altlinux.ru>
URL: http://ipsec-tools.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
License: BSD
Group: Security/Networking

# Automatically added by buildreq on Thu Jun 10 2004
BuildRequires: flex gcc-c++ gcc-g77 libkrb5-devel libssl-devel libstdc++-devel
BuildRequires: kernel-headers-std26-up

%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:

        - libipsec, a PFKeyV2 library
        - setkey, a program to directly manipulate policies and SAs
        - racoon, an IKEv1 keying daemon

%prep
%setup -q

%build
./configure --disable-static --with-kernel-headers=/usr/include --enable-shared \
		 --sysconfdir=/etc/racoon
%make_build

%install
%makeinstall
%__mkdir %buildroot%_sysconfdir
%__mkdir %buildroot%_sysconfdir/racoon
%__install -p -m600 src/racoon/samples/psk.txt %buildroot%_sysconfdir/racoon/
%__install -p -m644 src/racoon/samples/racoon.conf %buildroot%_sysconfdir/racoon/

%files
%config(noreplace) %_sysconfdir/*
%_includedir/*
%_libdir/*
%_mandir/man?/*
%_sbindir/*
%doc ChangeLog NEWS README src/racoon/doc/* src/racoon/samples/roadwarrior src/racoon/samples/*sample*

##%defattr(-,root,root)


%changelog
* Wed Mar 2 2005 Maxim Tyurin <mrkooll@altlinux.ru> 0.5-alt1
- New version (fixed CAN-2004-0155) and fixed potencial buffer ovefflow.

* Thu Jun 10 2004 Maxim Tyurin <mrkooll@altlinux.ru> 0.2.3-alt1
- Initial build.

